Module java.desktop
Package javax.swing.plaf.metal

## Class MetalToolBarUI.MetalRolloverListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.PropertyListener
  - - javax.swing.plaf.metal.MetalToolBarUI.MetalRolloverListener

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  MetalToolBarUI

    protected class MetalToolBarUI.MetalRolloverListener
    extends BasicToolBarUI.PropertyListener

No longer used. The class cannot be removed for compatibility reasons.

### Constructor Summary

Constructors
`protected` `MetalRolloverListener()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

### Constructor Detail

#### MetalRolloverListener

    protected MetalRolloverListener()